com.io7m.r2.core

## Class R2DepthAttachmentCreate

- java.lang.Object
- - com.io7m.r2.core.R2DepthAttachmentCreate

- All Implemented Interfaces:
    R2DepthAttachmentCreateType, R2DepthAttachmentSpecificationType

      @Generated(value={"Immutables.generator","R2DepthAttachmentCreateType"})
      public final class R2DepthAttachmentCreate
      extends Object
      implements R2DepthAttachmentCreateType

  A preexisting depth texture that will be used as an attachment on a created framebuffer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2DepthAttachmentCreate.Builder` Builds instances of type `R2DepthAttachmentCreate`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2DepthAttachmentCreate.Builder` | `builder()` Creates a builder for `R2DepthAttachmentCreate`.
    `static R2DepthAttachmentCreate` | `copyOf(R2DepthAttachmentCreateType instance)` Creates an immutable copy of a `R2DepthAttachmentCreateType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2DepthAttachmentCreate` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `precision`.
    `static R2DepthAttachmentCreate` | `of(R2DepthPrecision precision)` Construct a new immutable `R2DepthAttachmentCreate` instance.
    `R2DepthPrecision` | `precision()`
    `String` | `toString()` Prints the immutable value `R2DepthAttachmentCreate` with attribute values.
    `R2DepthAttachmentCreate` | `withPrecision(R2DepthPrecision value)` Copy the current immutable object by setting a value for the `precision` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.core.R2DepthAttachmentCreateType

      `matchDepthAttachment`

- - ### Method Detail

    - #### precision

          public R2DepthPrecision precision()

      Specified by:
        `precision` in interface `R2DepthAttachmentCreateType`
      Returns:
        The precision of the depth buffer to be created

    - #### withPrecision

          public final R2DepthAttachmentCreate withPrecision(R2DepthPrecision value)

      Copy the current immutable object by setting a value for the `precision` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for precision
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2DepthAttachmentCreate` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `precision`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2DepthAttachmentCreate` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2DepthAttachmentCreate of(R2DepthPrecision precision)

      Construct a new immutable `R2DepthAttachmentCreate` instance.
      Parameters:
        `precision` - The value for the `precision` attribute
      Returns:
        An immutable R2DepthAttachmentCreate instance

    - #### copyOf

          public static R2DepthAttachmentCreate copyOf(R2DepthAttachmentCreateType instance)

      Creates an immutable copy of a `R2DepthAttachmentCreateType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2DepthAttachmentCreate instance

    - #### builder

          public static R2DepthAttachmentCreate.Builder builder()

      Creates a builder for `R2DepthAttachmentCreate`.
      Returns:
        A new R2DepthAttachmentCreate builder

Copyright © 2016 <code@io7m.com> http://io7m.com